Partially update a flappy configuration
PATCH
/v1/flappyconfiguration/{id}/
const url = 'https://example.com/v1/flappyconfiguration/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"agent":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","metric":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","agent_tag":"example","reason":"example","number_events":1,"delay":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://example.com/v1/flappyconfiguration/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/ \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "agent": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "metric": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "agent_tag": "example", "reason": "example", "number_events": 1, "delay": "example" }'Update one or more fields of an existing flappy configuration.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
A UUID string identifying this flappy configuration.
Request Body
Section titled “Request Body”A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
id
string format: uuid
agent
string format: uuid
metric
string format: uuid
agent_tag
string
reason
string
number_events
integer
delay
string
created_at
string format: date-time
created_by
string format: uuid
modified_at
string format: date-time
Examplegenerated
{ "agent": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "metric": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "agent_tag": "example", "reason": "example", "number_events": 1, "delay": "example"}A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
id
string format: uuid
agent
string format: uuid
metric
string format: uuid
agent_tag
string
reason
string
number_events
integer
delay
string
created_at
string format: date-time
created_by
string format: uuid
modified_at
string format: date-time
Responses
Section titled “Responses”Media typeapplication/json
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
id
required
string format: uuid
agent
string format: uuid
metric
string format: uuid
agent_tag
string
reason
string
number_events
required
integer
delay
required
string
created_at
required
string format: date-time
created_by
required
string format: uuid
modified_at
required
string format: date-time
Examplegenerated
{ "agent": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "metric": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "agent_tag": "example", "reason": "example", "number_events": 1, "delay": "example"}